LINUX.ORG.RU

skype (мать его) проблемы с зависимостью

 , , ,


0

1

Не получается установить skype на wheezy.

Ход моих действий :

root@lenovo:/home/deb# dpkg --add-architecture i386

root@lenovo:/home/deb# dpkg -i skype-debian_4.2.0.11-1_i386.deb 
(Чтение базы данных … на данный момент установлено 152024 файла и каталога.)
Подготовка к замене пакета skype 4.2.0.11-1 (используется файл skype-debian_4.2.0.11-1_i386.deb) …
Распаковывается замена для пакета skype …
dpkg: зависимости пакетов не позволяют настроить пакет skype:
 skype зависит от libqt4-dbus (>= 4:4.5.3), однако:
  Пакет libqt4-dbus не установлен.
 skype зависит от libqt4-network (>= 4:4.8.0), однако:
  Пакет libqt4-network:i386 не установлен.
 skype зависит от libqt4-xml (>= 4:4.5.3), однако:
  Пакет libqt4-xml:i386 не установлен.
 skype зависит от libqtcore4 (>= 4:4.7.0~beta1), однако:
  Пакет libqtcore4:i386 не установлен.
 skype зависит от libqtgui4 (>= 4:4.8.0), однако:
  Пакет libqtgui4:i386 не установлен.
 skype зависит от libqtwebkit4 (>= 2.1.0~2011week13), однако:
  Пакет libqtwebkit4:i386 не установлен.

dpkg: ошибка при обработке параметра skype (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для desktop-file-utils …
Обрабатываются триггеры для hicolor-icon-theme …
При обработке следующих пакетов произошли ошибки:
 skype

root@lenovo:/home/deb# apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Пакеты, которые будут УДАЛЕНЫ:
  skype:i386
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 39,2 MB.
Хотите продолжить [Д/н]? 

Что я делаю не так? Aptitude кроме удаления skype и еще полсистемы больше ничего не предлагает.

Пожалуйста воздержитесь от «проприетарщина не нужна» и «Посмотрите, идиот испортил зависимости в стабильное дебиане»

★★★★★

Ответ на: комментарий от ziemin

Что то я в этом дебиане не секу.

root@lenovo:/home/deb# apt-get install libqtcore4:i386
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 libqtcore4:i386 : Зависит: libglib2.0-0:i386 (>= 2.22.0) но он не будет установлен
 skype:i386 : Зависит: libqt4-dbus:i386 (>= 4:4.5.3) но он не будет установлен
              Зависит: libqt4-network:i386 (>= 4:4.8.0) но он не будет установлен
              Зависит: libqt4-xml:i386 (>= 4:4.5.3) но он не будет установлен
              Зависит: libqtgui4:i386 (>= 4:4.8.0) но он не будет установлен
              Зависит: libqtwebkit4:i386 (>= 2.1.0~2011week13) но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
root@lenovo:/home/deb# 
snaf ★★★★★ ()

Попробуй aptitude, может оно как-нибудь разрулит нормально.

Towelie ()

Aptitude кроме удаления skype и еще полсистемы больше ничего не предлагает.

Вы пробовали отказываться от всех предложенных вариантов? Посмотрите, из-за какого именно конфликта не устанавливается пакет.

(Альтернатива - пробовать установить каждый пакет, про который apt-get говорит, что он не будет установлен, пока не наткнётесь на этот конфликт).

AITap ★★★★★ ()
Ответ на: комментарий от observer

уже посоветовали. Всё равно не помогло.

snaf ★★★★★ ()
Ответ на: комментарий от AITap

Вы пробовали отказываться от всех предложенных вариантов?

мне кажется что эти варианты вообще не заканчиваются.

snaf ★★★★★ ()
Ответ на: комментарий от snaf

снёс пол системы и установил обратно

нуб.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.